package dionarap;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

import de.fhwgt.dionarap.controller.DionaRapController;

/**
 * Klasse zum Reagieren auf die Bewegen-Buttons der Klasse <code>Tastatur</code>.
 * Implementiert das Interface <code>ActionListener</code>.
 *  
 * @see java.awt.event.ActionListener
 * 
 * @author Thomas Merkel
 * @author Rainer Hihn
 * @version 1.4
 */
public class ListenerBewegung implements ActionListener {
	/**
	 * Event-Handler fuer die Buttons innerhalb der <code>Tastatur</code>
	 * des <code>Navigator</code>-Fensters. Die Richtng wird anhand des 
	 * entsprechenden ActionCommands ermittelt, das Hauptfenster ueber
	 * die Objekt-Hierarchie.
	 * @param e Ereignis vom Typ <code>ActionEvent</code>, welches
	 *          die Identifizierung des gedrueckten Buttons erlaubt
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		// System.out.println(e.getSource().getClass().getName() + " -- Pressed | " +  e.getActionCommand());
		
		JButton source = (JButton)e.getSource();
		//Hauptfenster hf = (Hauptfenster)(source.getTopLevelAncestor().getParent());
		Hauptfenster hf = (Hauptfenster)(source.getParent().getParent().getParent().getParent().getParent().getParent().getParent());
		
		
		DionaRapController controller = hf.getController();
		controller.movePlayer(Integer.parseInt(e.getActionCommand()));
		hf.requestFocus();
	}

}
