package dionarap;

import java.awt.Rectangle;
import java.awt.event.*;

/**
 * Klasse zum Reagieren auf die Fenster-Ereignisse des Hauptfensters,
 * Implementiert das Interface <code>ComponentListener</code>
 *  
 * @see java.awt.event.ComponentListener
 * 
 * @author Thomas Merkel
 * @author Rainer Hihn
 * @version 1.4
 */
public class ListenerFenster implements ComponentListener {
	private Navigator navigator;
	
	ListenerFenster(Navigator navigator) {
		this.navigator = navigator;
	}

	public void componentMoved(ComponentEvent e) {
		Rectangle hfBounds = e.getComponent().getBounds();

		navigator.setBounds(hfBounds.width + hfBounds.x + 5, hfBounds.y, 0, 0);
		navigator.pack();
		//System.out.println(e.getComponent().getClass().getName() + " -- Moved | " + hfBounds.width + " | " + hfBounds.x);
	}

	@Override
	public void componentHidden(ComponentEvent e) {
		// TODO Auto-generated method stub
	}

	@Override
	public void componentResized(ComponentEvent e) {
		// TODO Auto-generated method stub
	}

	@Override
	public void componentShown(ComponentEvent e) {
		// TODO Auto-generated method stub
	}

}
