package dionarap;

import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

import de.fhwgt.dionarap.model.events.DionaRapChangedEvent;
import de.fhwgt.dionarap.model.events.GameStatusEvent;
import de.fhwgt.dionarap.model.listener.*;

/**
 * Diese Klasse verwaltet Aenderungen an der Spielfigur
 * 
 * @author Thomas Merkel
 * @author Rainer Hihn
 *
 * @version 1.4
 */
public class ListenerModel implements DionaRapListener {
	private Hauptfenster hf;
	
	public ListenerModel(Hauptfenster hf) {
		this.hf = hf;
	}
	
	
	@Override
	public void modelChanged(DionaRapChangedEvent e) {
		this.hf.updateGame(GameStatus.game);
	}

	@Override
	public void statusChanged(GameStatusEvent e) {
		if (e.isGameWon()) {
			this.hf.updateGame(GameStatus.gamewon);
			this.showDialogBox("Sie haben gewonnen", Artwork.getTheme().getGameWonIcon());			
		}

		if (e.isGameOver()) {
			this.hf.updateGame(GameStatus.gameover);
			this.showDialogBox("Spiel verloren", Artwork.getTheme().getGameOverIcon());			
		}		
	}

	private void showDialogBox(String message, ImageIcon icon)
	{
		JOptionPane.showMessageDialog(null, 
				message, 
				"Ergebnis", 
				JOptionPane.PLAIN_MESSAGE, 
				icon);			
	}

}
