package dionarap;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;


/**
 * Klasse zum Reagieren auf den "Neues Spiel"-Buttons der Klasse <code>Navigator</code>.
 * Implementiert das Interface <code>ActionListener</code>. 
 * @see java.awt.event.ActionListener
 * @see Navigator#bNewGame
 * 
 * @author Thomas Merkel
 * @author Rainer Hihn
 * 
 * @version 1.4
 */
public class ListenerNewGame implements ActionListener {
	
	/**
	 * Event-Handler fuer "Neues Spiel"-Button im <code>Navigator</code>-Fenster.
	 * Ermittelt ber die Fenster-Hierarchie das Hauptfenster und teilt diesem mit,
	 * ein neues Spiel zu starten.
	 * @see Navigator#bNewGame
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent event) {
		JButton source = (JButton)event.getSource();
		Hauptfenster hf = (Hauptfenster)(source.getTopLevelAncestor().getParent());
		
		hf.startNewGame(hf.getCurrentLevel());
	}

}
