package dionarap;

import java.awt.ComponentOrientation;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JPanel;

/**
 * Zeichnet und verwaltet die Tastatur welche zur Steuerung der Spielfigur gilt
 * 
 * @author Thomas Merkel
 * @author Rainer Hihn
 * @version 1.4
 */
public class Tastatur extends JPanel {

	/**
	 * Interne Versionsnummer UID
	 * Serialisieren fr Applets / Klassentausch
	 */
	private static final long serialVersionUID = -8919342696165615138L;
	
	/**
	 * Konstruktor. Implementiert die Listener fuer Bewegen und Schiessen
	 */
	Tastatur() {
		super( new GridLayout( 3, 3, 0, 0 ) );
		
		ListenerBewegung listenerBewegung = new ListenerBewegung();
		ListenerWaffe listenerWaffe = new ListenerWaffe();
		
		this.setComponentOrientation(ComponentOrientation.RIGHT_TO_LEFT);
		
		
		JButton taste[] = new JButton[10];
		for( int i = 9; i > 0; --i ) {
			taste[i] = new JButton(Integer.toString(i));
			
			if (i != 5) {
				taste[i].addActionListener(listenerBewegung);
			} else {
				taste[i].addActionListener(listenerWaffe);
			}

			this.add( taste[i] );
		}
	}
}
